Bug 1661554 - [abrt] gnome-calendar: g_atomic_ref_count_compare(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: g_atomic_ref_count_compare(): gnome-calendar killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26ef00d6b297279d761cbc48de0...
: 1669495 1672111 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 14:07 UTC by Alex Chvatal
Modified: 2019-11-27 21:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:37:10 UTC


Attachments (Terms of Use)
File: backtrace (41.91 KB, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: cgroup (355 bytes, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: core_backtrace (17.16 KB, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: dso_list (21.27 KB, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: environ (3.01 KB, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-21 14:07 UTC, Alex Chvatal
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details
File: maps (135.05 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details
File: mountinfo (4.22 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details
File: open_fds (1.12 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details
File: var_log_messages (4.15 KB, text/plain)
2018-12-21 14:08 UTC, Alex Chvatal
no flags Details

Description Alex Chvatal 2018-12-21 14:07:52 UTC
Description of problem:
This happened while I had gnome-calendar open and toggled off the calendar for my Google account
in gnome's online account panel of the gnome settings application.

Version-Release number of selected component:
gnome-calendar-3.30.1-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_atomic_ref_count_compare
executable:     /usr/bin/gnome-calendar
journald_cursor: s=9d5facea53d6467e9428b74f2f11437b;i=12977a;b=e388fa13c88b417898533e3998138006;m=12102f2ca;t=57d889738ebaf;x=c8938578870f2024
kernel:         4.19.9-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_atomic_ref_count_compare at grefcount.c:284
 #1 g_hash_table_lookup_node at ghash.c:1153
 #2 g_hash_table_lookup at ghash.c:1153
 #3 gcal_manager_is_client_writable at ../src/gcal-manager.c:1563
 #4 on_source_changed at ../src/gcal-quick-add-popover.c:537
 #9 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #10 _g_closure_invoke_va at gclosure.c:873
 #13 source_registry_source_changed_idle_cb at /usr/src/debug/evolution-data-server-3.30.3-1.fc29.x86_64/src/libedataserver/e-source-registry.c:571
 #18 g_main_context_iteration at gmain.c:3981
 #19 g_application_run at gapplication.c:2470

Comment 1 Alex Chvatal 2018-12-21 14:07:54 UTC
Created attachment 1516143 [details]
File: backtrace

Comment 2 Alex Chvatal 2018-12-21 14:07:54 UTC
Created attachment 1516144 [details]
File: cgroup

Comment 3 Alex Chvatal 2018-12-21 14:07:55 UTC
Created attachment 1516145 [details]
File: core_backtrace

Comment 4 Alex Chvatal 2018-12-21 14:07:56 UTC
Created attachment 1516146 [details]
File: cpuinfo

Comment 5 Alex Chvatal 2018-12-21 14:07:57 UTC
Created attachment 1516147 [details]
File: dso_list

Comment 6 Alex Chvatal 2018-12-21 14:07:58 UTC
Created attachment 1516148 [details]
File: environ

Comment 7 Alex Chvatal 2018-12-21 14:07:59 UTC
Created attachment 1516149 [details]
File: exploitable

Comment 8 Alex Chvatal 2018-12-21 14:08:00 UTC
Created attachment 1516150 [details]
File: limits

Comment 9 Alex Chvatal 2018-12-21 14:08:01 UTC
Created attachment 1516151 [details]
File: maps

Comment 10 Alex Chvatal 2018-12-21 14:08:02 UTC
Created attachment 1516152 [details]
File: mountinfo

Comment 11 Alex Chvatal 2018-12-21 14:08:03 UTC
Created attachment 1516153 [details]
File: open_fds

Comment 12 Alex Chvatal 2018-12-21 14:08:04 UTC
Created attachment 1516154 [details]
File: proc_pid_status

Comment 13 Alex Chvatal 2018-12-21 14:08:05 UTC
Created attachment 1516155 [details]
File: var_log_messages

Comment 14 Zoran Regvart 2019-01-25 13:26:59 UTC
*** Bug 1669495 has been marked as a duplicate of this bug. ***

Comment 15 Timothy Rogers 2019-02-03 20:32:55 UTC
*** Bug 1672111 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2019-10-31 19:44:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-11-27 21:37:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.